cURL
curl --request GET \ --url https://api.supernotes.app/v1/user \ --header 'Api-Key: <api-key>'
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "email": "<string>", "first_name": "<string>", "last_name": "<string>", "username": "<string>", "referral_code": "<string>", "prefs": { "couple_key": "<string>" }, "pref_flags": 123, "feature_preview_flags": 123, "pins": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "signup_when": "2023-11-07T05:31:56Z", "bio": "<string>", "photo": "<string>" }, "subscription": { "started_when": "2023-11-07T05:31:56Z", "expires_when": "2023-11-07T05:31:56Z", "will_renew": true, "source": "<string>", "stripe_subscription_id": "<string>" }, "quota": 123, "intercom_hash": "<string>" }
Get the authenticated user’s information, including subscription details
Documentation IndexFetch the complete documentation index at: https://developer.supernotes.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developer.supernotes.app/llms.txt
Use this file to discover all available pages before exploring further.
Successful Response
Show child attributes